# Test: Empty string in principles array
# Expected: FAIL
# Error code: custom
# Error path: agent.persona.principles[1]
# Error message: agent.persona.principles[] must be a non-empty string

agent:
  metadata:
    id: empty-principle-string
    name: Empty Principle String
    title: Empty Principle
    icon: ❌
    hasSidecar: false

  persona:
    role: Test agent
    identity: Test identity
    communication_style: Test style
    principles:
      - Valid principle
      - "   "
      - Another valid principle

  menu:
    - trigger: help
      description: Show help
      action: display_help
